Opened 7 years ago

Closed 5 years ago

#15424 closed defect (fixed)

dojox/date/timeZoneFormatting test failure

Reported by: bill Owned by: Adam Peller
Priority: high Milestone: 1.10
Component: Date Version: 1.7.2
Keywords: dohfail Cc: Douglas Hays
Blocked By: Blocking:

Description

Getting a spacing diff (tested on FF/mac) in the dojox/data/timeZoneFormatting test:

GROUP "dojox.date.tests.timezoneFormatting" has 1 test to run
     _AssertFailure: http://localhost/trunk/dojo/dojo.js:353 assertEqual() failed:
  expected 2006年8月11日金曜日9時55分12秒 JST but got 2006年8月11日金曜日 9時55分12秒 JST
     ERROR IN:
  (function (t) {var date = new Date(1155257712345);var selectorOpts = {datePattern: "EEEE, MMMM d, y 'at'", timePattern: "HH:mm:ss z", locale: "en-us"};doh.is("Friday, August 11, 2006 at 00:55:12 GMT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "GMT"})));doh.is("Thursday, August 10, 2006 at 18:55:12 MDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Denver"})));doh.is("Thursday, August 10, 2006 at 16:55:12 AKDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Anchorage"})));doh.is("Friday, August 11, 2006 at 03:55:12 IDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Asia/Jerusalem"})));doh.is("Friday, August 11, 2006 at 10:55:12 EST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Australia/Sydney"})));doh.is("Friday, August 11, 2006 at 09:55:12 JST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Asia/Tokyo"})));doh.is("Friday, August 11, 2006 at 08:55:12 CST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Asia/Shanghai"})));doh.is("Friday, August 11, 2006 at 02:55:12 CEST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Europe/Madrid"})));doh.is("Thursday, August 10, 2006 8:55:12 PM EDT", dojo.date.locale.format(date, {formatLength: "full", locale: "en-us", timezone: "America/New_York"}));doh.is("2006\u5E748\u670811\u65E5\u91D1\u66DC\u65E59\u664255\u520612\u79D2 JST", dojo.date.locale.format(date, {formatLength: "full", locale: "ja-jp", timezone: "Asia/Tokyo"}));doh.is("2006\u5E748\u670811\u65E5\u661F\u671F\u4E94CST\u4E0A\u53488\u65F655\u520612\u79D2", dojo.date.locale.format(date, {formatLength: "full", locale: "zh-cn", timezone: "Asia/Shanghai"}));doh.is("vendredi 11 ao\xFBt 2006 02:55:12 CEST", dojo.date.locale.format(date, {formatLength: "full", locale: "fr-fr", timezone: "Europe/Paris"}));doh.is("Freitag, 11. August 2006 02:55:12 CEST", dojo.date.locale.format(date, {formatLength: "full", locale: "de-at", timezone: "Europe/Vienna"}));doh.is("viernes 11 de agosto de 2006 02:55:12 CEST", dojo.date.locale.format(date, {formatLength: "full", locale: "es", timezone: "Europe/Madrid"}));date = new Date(1225605599000);selectorOpts = {formatLength: "full", locale: "en-us"};doh.is("Sunday, November 2, 2008 1:59:59 AM EDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/New_York"})));doh.is("Saturday, November 1, 2008 10:59:59 PM PDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Los_Angeles"})));date = new Date(1225605600000);doh.is("Sunday, November 2, 2008 1:00:00 AM EST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/New_York"})));doh.is("Saturday, November 1, 2008 11:00:00 PM PDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Los_Angeles"})));date = new Date(1225616400000);doh.is("Sunday, November 2, 2008 4:00:00 AM EST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/New_York"})));doh.is("Sunday, November 2, 2008 1:00:00 AM PST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Los_Angeles"})));date = new Date(1257062399000);doh.is("Sunday, November 1, 2009 1:59:59 AM MDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Denver"})));doh.is("Sunday, November 1, 2009 12:59:59 AM MST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Phoenix"})));date = new Date(1257062400000);doh.is("Sunday, November 1, 2009 1:00:00 AM MST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Denver"})));doh.is("Sunday, November 1, 2009 1:00:00 AM MST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Phoenix"})));})
 FAILED test: timezone format 97 ms

Change History (13)

comment:1 Changed 7 years ago by bill

Keywords: dohfail added

Started in [28074].

comment:2 Changed 7 years ago by Adam Peller

Milestone: tbd1.8
Status: newassigned

The substitution pattern for "dateTimeFormat-full" apparently changed in the CLDR from "{1}{0}" to "{1} {0}", so the test needs to be updated.

comment:3 Changed 7 years ago by Adam Peller

Resolution: fixed
Status: assignedclosed

In [28693]:

Update results to match CLDR v21.0 Fixes #15424

comment:4 Changed 7 years ago by Adam Peller

Milestone: 1.8tbd
Resolution: fixed
Status: closedreopened

Fails somewhere else now:

GROUP "dojox.date.tests.timezoneFormatting" has 1 test to run
     _AssertFailure: file:///users/peller/dojo/dojo/dojo.js:353 assertEqual() failed:
  expected Saturday, November 1, 2008 11:00:00 PM PDT but got Sunday, November 2, 2008 12:00:00 AM PDT
     ERROR IN:
  (function (t) {var date = new Date(1155257712345);var selectorOpts = {datePattern: "EEEE, MMMM d, y 'at'", timePattern: "HH:mm:ss z", locale: "en-us"};doh.is("Friday, August 11, 2006 at 00:55:12 GMT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "GMT"})));doh.is("Thursday, August 10, 2006 at 18:55:12 MDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Denver"})));doh.is("Thursday, August 10, 2006 at 16:55:12 AKDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Anchorage"})));doh.is("Friday, August 11, 2006 at 03:55:12 IDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Asia/Jerusalem"})));doh.is("Friday, August 11, 2006 at 10:55:12 EST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Australia/Sydney"})));doh.is("Friday, August 11, 2006 at 09:55:12 JST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Asia/Tokyo"})));doh.is("Friday, August 11, 2006 at 08:55:12 CST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Asia/Shanghai"})));doh.is("Friday, August 11, 2006 at 02:55:12 CEST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "Europe/Madrid"})));doh.is("Thursday, August 10, 2006 8:55:12 PM EDT", dojo.date.locale.format(date, {formatLength: "full", locale: "en-us", timezone: "America/New_York"}));doh.is("2006\u5E748\u670811\u65E5\u91D1\u66DC\u65E5 9\u664255\u520612\u79D2 JST", dojo.date.locale.format(date, {formatLength: "full", locale: "ja-jp", timezone: "Asia/Tokyo"}));doh.is("2006\u5E748\u670811\u65E5\u661F\u671F\u4E94CST\u4E0A\u53488\u65F655\u520612\u79D2", dojo.date.locale.format(date, {formatLength: "full", locale: "zh-cn", timezone: "Asia/Shanghai"}));doh.is("vendredi 11 ao\xFBt 2006 02:55:12 CEST", dojo.date.locale.format(date, {formatLength: "full", locale: "fr-fr", timezone: "Europe/Paris"}));doh.is("Freitag, 11. August 2006 02:55:12 CEST", dojo.date.locale.format(date, {formatLength: "full", locale: "de-at", timezone: "Europe/Vienna"}));doh.is("viernes, 11 de agosto de 2006 02:55:12 CEST", dojo.date.locale.format(date, {formatLength: "full", locale: "es", timezone: "Europe/Madrid"}));date = new Date(1225605599000);selectorOpts = {formatLength: "full", locale: "en-us"};doh.is("Sunday, November 2, 2008 1:59:59 AM EDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/New_York"})));doh.is("Saturday, November 1, 2008 10:59:59 PM PDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Los_Angeles"})));date = new Date(1225605600000);doh.is("Sunday, November 2, 2008 1:00:00 AM EST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/New_York"})));doh.is("Saturday, November 1, 2008 11:00:00 PM PDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Los_Angeles"})));date = new Date(1225616400000);doh.is("Sunday, November 2, 2008 4:00:00 AM EST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/New_York"})));doh.is("Sunday, November 2, 2008 1:00:00 AM PST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Los_Angeles"})));date = new Date(1257062399000);doh.is("Sunday, November 1, 2009 1:59:59 AM MDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Denver"})));doh.is("Sunday, November 1, 2009 12:59:59 AM MST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Phoenix"})));date = new Date(1257062400000);doh.is("Sunday, November 1, 2009 1:00:00 AM MST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Denver"})));doh.is("Sunday, November 1, 2009 1:00:00 AM MST", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone: "America/Phoenix"})));})
 FAILED test: timezone format 60 ms

comment:5 Changed 7 years ago by Adam Peller

date = new Date(1225605600000); // New York goes off DST - NY and LA are 2 hours apart
selectorOpts = {formatLength: "full", locale: "en-us"};
doh.is("Saturday, November 1, 2008 11:00:00 PM PDT", dojo.date.locale.format(date, dojo.delegate(selectorOpts, {timezone:'America/Los_Angeles'})));
Last edited 7 years ago by Adam Peller (previous) (diff)

comment:6 Changed 7 years ago by Adam Peller

In [30139]:

run scripts against CLDR v21 Refs #13906, #15424

comment:7 Changed 7 years ago by Adam Peller

Milestone: tbd1.9

comment:8 Changed 7 years ago by Adam Peller

In [30140]:

run scripts against CLDR v21 Refs #13906, #15424, #16281
-This line, and those below, will be ignored--

M nls/da/buddhist.js
M nls/da/number.js
M nls/da/currency.js
M nls/da/gregorian.js
M nls/da/islamic.js
M nls/hebrew.js
M nls/de/buddhist.js
M nls/de/number.js
M nls/de/currency.js
M nls/de/gregorian.js
M nls/de/islamic.js
M nls/sv/buddhist.js
M nls/sv/number.js
M nls/sv/currency.js
M nls/sv/hebrew.js
M nls/sv/gregorian.js
M nls/sv/islamic.js
M nls/gregorian.js
M nls/ja/buddhist.js
M nls/ja/number.js
M nls/ja/currency.js
M nls/ja/hebrew.js
M nls/ja/gregorian.js
M nls/ja/islamic.js
M nls/he/number.js
M nls/he/currency.js
M nls/he/hebrew.js
M nls/he/gregorian.js
M nls/he/islamic.js
M nls/islamic.js
M nls/fi/buddhist.js
M nls/fi/number.js
M nls/fi/currency.js
M nls/fi/hebrew.js
M nls/fi/gregorian.js
M nls/fi/islamic.js
M nls/nb/buddhist.js
M nls/nb/number.js
M nls/nb/currency.js
M nls/nb/gregorian.js
M nls/nb/islamic.js
M nls/fr/buddhist.js
M nls/fr/number.js
M nls/fr/currency.js
M nls/fr/hebrew.js
M nls/fr/gregorian.js
M nls/fr/islamic.js
M nls/nl/buddhist.js
M nls/nl/number.js
M nls/nl/currency.js
M nls/nl/hebrew.js
M nls/nl/gregorian.js
M nls/nl/islamic.js
M nls/pl/buddhist.js
M nls/pl/number.js
M nls/pl/currency.js
M nls/pl/hebrew.js
M nls/pl/gregorian.js
M nls/pl/islamic.js
M nls/th/buddhist.js
M nls/th/number.js
M nls/th/currency.js
M nls/th/hebrew.js
M nls/th/gregorian.js
M nls/th/islamic.js
M nls/hu/buddhist.js
M nls/hu/number.js
M nls/hu/currency.js
M nls/hu/hebrew.js
M nls/hu/gregorian.js
M nls/hu/islamic.js
M nls/ro/buddhist.js
M nls/ro/number.js
M nls/ro/currency.js
M nls/ro/hebrew.js
M nls/ro/gregorian.js
M nls/ro/islamic.js
M nls/buddhist.js
M nls/zh/buddhist.js
M nls/zh/number.js
M nls/zh/currency.js
M nls/zh/hebrew.js
M nls/zh/gregorian.js
M nls/zh/islamic.js
M nls/zh-hk/number.js
M nls/zh-hk/currency.js
M nls/zh-hk/gregorian.js
M nls/en-ca/gregorian.js
M nls/ca/number.js
M nls/ca/currency.js
M nls/ca/gregorian.js
M nls/pt/buddhist.js
M nls/pt/number.js
M nls/pt/currency.js
M nls/pt/hebrew.js
M nls/pt/gregorian.js
M nls/pt/islamic.js
M nls/tr/buddhist.js
M nls/tr/number.js
M nls/tr/currency.js
M nls/tr/hebrew.js
M nls/tr/gregorian.js
M nls/tr/islamic.js
M nls/ru/buddhist.js
M nls/ru/number.js
M nls/ru/currency.js
M nls/ru/hebrew.js
M nls/ru/gregorian.js
M nls/ru/islamic.js
M nls/en-gb/buddhist.js
M nls/en-gb/number.js
M nls/en-gb/gregorian.js
M nls/en-gb/islamic.js
M nls/fr-ch/number.js
M nls/fr-ch/gregorian.js
M nls/el/buddhist.js
M nls/el/number.js
M nls/el/currency.js
M nls/el/hebrew.js
M nls/el/gregorian.js
M nls/en/buddhist.js
M nls/en/number.js
M nls/en/currency.js
M nls/en/gregorian.js
M nls/en/islamic.js
M nls/ar/buddhist.js
M nls/ar/number.js
M nls/ar/currency.js
M nls/ar/hebrew.js
M nls/ar/gregorian.js
M nls/ar/islamic.js
M nls/number.js
M nls/pt-pt/buddhist.js
M nls/pt-pt/number.js
M nls/pt-pt/gregorian.js
M nls/pt-pt/islamic.js
M nls/en-au/gregorian.js
M nls/cs/buddhist.js
M nls/cs/number.js
M nls/cs/currency.js
M nls/cs/gregorian.js
M nls/cs/islamic.js
M nls/currency.js
M nls/es/buddhist.js
M nls/es/number.js
M nls/es/currency.js
M nls/es/gregorian.js
M nls/es/islamic.js
M nls/zh-hant/buddhist.js
M nls/zh-hant/number.js
M nls/zh-hant/currency.js
M nls/zh-hant/hebrew.js
M nls/zh-hant/gregorian.js
M nls/zh-hant/islamic.js
M nls/ko/buddhist.js
M nls/ko/number.js
M nls/ko/currency.js
M nls/ko/gregorian.js
M nls/zh-tw/number.js
M nls/zh-tw/currency.js
M nls/zh-tw/gregorian.js
M nls/it/buddhist.js
M nls/it/number.js
M nls/it/currency.js
M nls/it/gregorian.js
M nls/it/islamic.js
M nls/sk/number.js
M nls/sk/currency.js
M nls/sk/gregorian.js
M nls/sl/number.js
M nls/sl/currency.js
M nls/sl/gregorian.js

comment:9 Changed 6 years ago by Colin Snover

Why is this still open? Is this fixed?

comment:10 Changed 6 years ago by Adam Peller

Cc: Douglas Hays added

Doug, did you resolve this recently?

comment:11 Changed 6 years ago by Douglas Hays

This test is still failing. I opened #16887 to track a specific failure in dojox/date.

comment:12 Changed 6 years ago by bill

Milestone: 1.91.10

Bumping this ticket since we are past the deadline for the 1.9RC. The fix can be put into 1.9.1 too, if desired.

comment:13 Changed 5 years ago by dylan

Priority: undecidedhigh
Resolution: fixed
Status: reopenedclosed

Per peller, this ticket is obsolete, as the only remaining issue has a separate ticket open (#16887)

Note: See TracTickets for help on using tickets.